dee (1.2.7+17.10.20170616-4) unstable; urgency=low

  * Really include debian/patches/icu-pkg-config.patch!
  * debian/control:
    + Set libdee-doc Multi-Arch: foreign

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Dec 2018 09:36:09 +0530

dee (1.2.7+17.10.20170616-3) unstable; urgency=low

  * debian/patches/icu-pkg-config.patch:
    + Added patch to use pkg-config to detect icu. Thanks Hugh McMaster
      <hugh.mcmaster@outlook.com>.
  * debian/control:
    + Build-Depends on pkg-config.

 -- Kartik Mistry <kartik@debian.org>  Mon, 03 Dec 2018 17:56:18 +0530

dee (1.2.7+17.10.20170616-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + Enable tests.
  * debian/patches/strict-protype.patch:
    + Added patch from Ubuntu. Update prototypes for no-argument functions
      to "(void)", to comply with -Werror=strict-prototypes.
  * debian/gir1.2-dee-1.0.install:
    + Install typelib file in Multiarch dir.

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Nov 2018 17:33:49 +0530

dee (1.2.7+17.10.20170616-1) experimental; urgency=low

  * New upstream release. Synced from Ubuntu.
  * debian/patches:
    + 00-compile-fix.diff: Dropped. Merged upstream.
    + gtkdocize.patch: Added from 1.0.10-3.2 NMU.
  * debian/control:
    + Updated package description.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Nov 2018 11:22:27 +0530

dee (1.2.7+15.04.20150304-1) experimental; urgency=low

  * New upstream release:
    + Use 1.2.7+15.04.20150304 version from Ubuntu upstream.
    + Dropped old patches, merged upstream.
  * Added patch to fix FTBFS with current gcc.
  * Sync with Ubuntu packaging work. Thanks!
  * debian/control:
    + Updated Build-Deps and Depends.
    + Removed old dependencies
    + Fixed typo in descriptions.
    + Updated to Standards-Version 4.2.1
    + Added Vcs-* URLs.
    + Removed obsolete dbg package.
    + Updated Section for dee-tools.
  * Updated dh to 11.
  * Updated debian/watch file to version 4.
  * debian/rules:
    + Removed unneeded dh_strip override.
  * Updated symbols control file.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Nov 2018 20:10:35 +0530

dee (1.0.10-3) unstable; urgency=low

  * debian/control:
    + Really added 'Breaks' field. (Closes: #674534)

 -- Kartik Mistry <kartik@debian.org>  Sat, 02 Jun 2012 21:47:14 +0530

dee (1.0.10-2) unstable; urgency=low

  * debian/control:
    + gir1.2-dee-1.0: Added Breaks field, which prevents removal of files that
      also belong to gir1.2-dee-0.5 (Closes: #674534)
  * debian/rules, debian/control:
    + Enabled hardening.

 -- Kartik Mistry <kartik@debian.org>  Fri, 25 May 2012 16:43:55 +0530

dee (1.0.10-1) unstable; urgency=low

  * Merged from Ubuntu.
  * Source format 3.0 (quilt).
  * debian/control:
    + Added Conflict/Relaces with old package.
  * debian/copyright:
    + Updated for copyright-format 1.0
  * debian/libdee-1.0-4.symbols:
    + Fixed to remove Debian version.
  * debian/patches:
    + Ubuntu-Fixes: Added direct upstream changes from Ubuntu as patch.
    + Documentation-Fixes: Fixed to prevent FTBFS if build twice in a row.
  * Added manpage: debian/dee-tools.1

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 14:10:32 +0530

dee (1.0.10-0ubuntu1) precise; urgency=low

  * New upstream release.
    - unity-music-daemon crashed with SIGSEGV in find_term_real() from
      dee_tree_index_lookup() from dee_index_lookup() from
      unity_music_lens_rhythmbox_collection_search() (LP: #963991)
    - unity-applications-daemon crashed with SIGSEGV in
      g_variant_get_type_info() (LP: #938382)
    - unity-applications-daemon crashed with SIGSEGV in
      g_variant_type_info_check() (LP: #953978)
  * debian/control:
    - update Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Apr 2012 11:33:08 +0200

dee (1.0.8-0ubuntu2) precise-proposed; urgency=low

  * Cherry-pick upstream:
    - Fix unity-applications-daemon crashed with SIGSEGV in
      g_variant_type_info_check() (LP: #953978)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Mar 2012 12:04:44 +0200

dee (1.0.8-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Prefix search doesn't work with non-C locale (LP: #956882)
    - Incorrect gir signature for DeeCompareRowFunc (LP: #959458)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 14:59:58 +0100

dee (1.0.6-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Provide a way to have a ReadOnly model (LP: #675565)
    - Prefix search with DeeTreeIndex doesn't return correct results
      (LP: #933111)
    - Doing multiple changes with clear in one transaction causes critical
      (LP: #940419)
  * debian/libdee-1.0-4.symbols:
    - updated

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 11:49:53 +0100

dee (1.0.4-0ubuntu1) precise; urgency=low

  * New upstream release.
    - DeeModel support insert_sorted() and find_sorted() (LP: #913128)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Feb 2012 13:30:49 +0100

dee (1.0.2-0ubuntu1) precise; urgency=low

  * New upstream release.
    - DeeModel support insert_sorted() and find_sorted() (LP: #913128)
  * debian/control:
    - requires now libicu-dev
  * debian/libdee-1.0-4.symbols:
    - updated

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 03 Feb 2012 11:38:57 +0100

dee (1.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - DeeModel support insert_sorted() and find_sorted() (LP: #913128)
    - Dee should support simple transactions (LP: #894023)
    - DeeSequenceModel optimized getters (LP: #900629)
    - DeeFilter and DeeFilterModel can not work properly with GI and/or PyGI
      (LP: #904293)
    - DeePeer and DeeSharedModel should support peer-2-peer DBus connections
      (LP: #904299)
    - Implement a DeeTreeIndex (LP: #622446)
    - DeeSharedModel should signal on remote transactions (LP: #912675)
    - Unable to use ModelTag from Vala with owned variables (LP: #911667)
    - DeeSequenceModel optimize signal emissions (LP: #901098)
    - DeeModel needs a benchmark suite (LP: #901100)
  * debian/rules:
    - enable documentation building (for daily build)
  * Do not use source 3 as doesn't work well with bzr merge-upstream
    when upstream is in bzr.
  * debian/control:
    - build-dep on gobject-introspection 0.10.2
    - readd Bzr-Vcs to be able to point to this branch
  * debian/dee-tools.install, debian/control:
    - add dee-tools package
  * debian/rules, debian/control, debian/*symbols, debian/*install:
    - handle ABI break and gir bump naming. Replaces: the right packages
      for the gir override file
    - update with new symbols

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Jan 2012 17:48:20 +0100

dee (0.5.22-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS (Closes: #643086)
  * Updated symbols file.
  * Updated copyright as per DEP-5 format.
  * Removed debian/gir1.2-dee-0.5.links (Closes: #642367)

 -- Kartik Mistry <kartik@debian.org>  Fri, 14 Oct 2011 14:19:17 +0530

dee (0.5.18-1) unstable; urgency=low

  * Initial Debian upload (Closes: #621465)
  * Remaining changes:
    + Build-Depends on: python
    + Added Source format 3.0 (quilt)
    + Updated Standards-Version to 3.9.2
    + Updated copyright for DEP-5 format
    + Removed duplicate Section

 -- Kartik Mistry <kartik@debian.org>  Tue, 10 May 2011 22:06:27 +0530

dee (0.5.18-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Leak in DeeSharedModel when commiting remote transaction (LP: #757916)
    - Dee API docs broken on DeeResourceManager (LP: #760496)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Apr 2011 13:17:34 +0200

dee (0.5.16-0ubuntu5) natty; urgency=low

  * debian/rules
    - Move from pysupport (which is being deprecated) to dh_python2, we need
    to match pygobject for GI override imports to work properly (LP: #742350)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 25 Mar 2011 11:23:42 -0400

dee (0.5.16-0ubuntu4) natty; urgency=low

  * debian/rules
    - Drop cdbs, debhelper does the right thing and makes it simpler.  This
      seems to make the python override file get installed properly
  * debian/control
    - Removed cdbs build depends and bump debhelper to >= 7.0.50

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 11:05:08 -0400

dee (0.5.16-0ubuntu3) natty; urgency=low

  * debian/rules
    - remove the .pyc and .pyo files
    - Removed autoreconf.mk

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Mar 2011 22:17:25 -0400

dee (0.5.16-0ubuntu2) natty; urgency=low

  * No change rebuild to pick up fixes for the python gi override

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Mar 2011 14:17:45 -0400

dee (0.5.16-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in g_atomic_int_exchange_and_add()
      (LP: #733343)
    - Implement DeeFilters for restrictions and localized sorting
      (LP: #736875)
    - Dee: compiz crashed with SIGSEGV in PlaceEntryRemote::ActivateResult()
      (LP: #733250)
  * debian/libdee-1.0-1.symbols:
    updated

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2011 16:21:49 +0100

dee (0.5.12-0ubuntu2) natty; urgency=low

  * dee/Makefile.am
    - Use major.minor version for gir version (LP: #730929)
  * vapi/dee-1.0.vapi
    - Specify gir_namespace and gir_version in the vapi (LP: #730929)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Mar 2011 16:55:09 -0500

dee (0.5.12-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Expose dee_shared_model_flush_revision_queue (LP: #729692)
  * debian/libdee-1.0-1.symbols:
    - refreshed
  * debian/gir1.2-dee-0.5.links, debian/gir1.2-dee-0.5.install:
    - hack around to install gir override file. However python-support
      and dh_python2 have to be fixed for those

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Mar 2011 19:06:54 +0100

dee (0.5.10-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - libunity support gobject-introspected languages (LP: #709240)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 20:07:48 +0100

dee (0.5.8-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Feb 2011 17:12:02 +0100

dee (0.5.6-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Fix the freeze when places are installed due to a gvariant freeze on
      double freeing (LP: #709264)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 31 Jan 2011 12:13:03 +0100

dee (0.5.4-0ubuntu1) natty; urgency=low

  [ Didier Roche ]
  * debian/control:
    - update Vcs-Bzr

  [ Ken VanDine ]
  * New upstream release.
    - Allow NULL as column values for strings.
    - Fix nasty memory corruption bug (the infamous "72-iterations bug").
      This was caused by using g_slice_free1() and something that was
      allocated with g_new0().
    - Fix leak in DeePeer where we didn't unref the GVariant payload of
      DBus signals when peers joined or left the swarm
    - Fix a memleak when receiving a transaction in the DBus Commit signal
      handler
    - Log a trace msg when flushing the revision queue
    - Add and fix some GObject Introspection annotations
    - Move the Python examples back into examples/

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 14 Jan 2011 13:00:29 -0600

dee (0.5.2-0ubuntu2) natty; urgency=low

  * Restore the build-depends on libdbus-glib it's still required

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Dec 2010 15:50:12 +0100

dee (0.5.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control, debian/gir1.2-dee-1.0.install, debian/rules,
    debian/libdee-1.0-0.install,
    debian/libdee-1.0-0.symbols:
    - updated for the soname change
  * debian/control:
    - cleaned the build-depends on libdbus and libdbusglib
    - updated the glib requirement for gdbus
    - set the vcs location
  * debian/libdee-1.0-1.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Dec 2010 12:43:34 +0100

dee (0.4.2-0ubuntu6) natty; urgency=low

  * Updated for gir abi transition.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Dec 2010 21:37:35 +0100

dee (0.4.2-0ubuntu5) natty; urgency=low

  * debian/gir1.0-dee-1.0.install
    - This file was named incorrectly before and got dropped, this will
      actually get the typelib in the package

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 30 Nov 2010 09:07:20 -0500

dee (0.4.2-0ubuntu4) natty; urgency=low

  * Build fix for --as-needed in natty

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Nov 2010 15:56:18 +0100

dee (0.4.2-0ubuntu3) natty; urgency=low

  * debian/control:
    - don't gir-repository-dev it's deprecated,
    - build-depends on gir1.0-freedesktop
  * debian/gir1.0-dee-0.1.install it was from an old version:
    - cleaned this file from the vcs
  * debian/rules:
    - use the correct binary name for the dh_girepository call

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Nov 2010 15:28:06 +0100

dee (0.4.2-0ubuntu2) natty; urgency=low

  * debian/control
    - re-enabled building gir1.0-dee-1.0
    - added build-dep for gir-repository-dev, gtk-doc-tools, dh-autoreconf
  * debian/rules
    - enable-introspection
    - added dh-autoreconf to fix tests and examples FTBFS
  * debian/libdee-dev.install
    - Added gir file
  * debian/gir1.0-dee-1.0.install
    - install the typelib
  * tests/Makefile.am examples/Makefile.am
    - Use DEE_LIBS when building tests and examples, fixes FTBFS

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 23 Nov 2010 10:29:08 -0500

dee (0.4.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update debian/libdee-1.0-0.symbols
  * debian/control:
    - remove gir-repository-dev from build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Aug 2010 12:43:59 +0200

dee (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update debian/libdee-1.0-0.symbols

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Aug 2010 19:11:03 +0200

dee (0.3.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/libdee-1.0-0.symbols:
    - update to API/ABI change

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Jun 2010 20:36:05 +0200

dee (0.2.8-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Jun 2010 16:22:02 +0200

dee (0.2.6-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #592111)
  * debian/copyright:
    - fix author*s*

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Jun 2010 18:23:46 +0200

dee (0.2.4-0ubuntu1) maverick; urgency=low

  * debian/rules:
    - fix rm *{,l}a files
  * debian/watch:
    - adjust url
  * New upstream release.
  * Update debian/libdee-1.0-0.symbols to new symbols
  * Ship the vapi file and disable introspection package for now

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Jun 2010 11:11:12 +0200

dee (0.2.2-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 May 2010 19:12:26 +0200

dee (0.2.0-0ubuntu1) maverick; urgency=low

  * Initial packaging
  * temporary disabling gir building due to bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=619703

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 May 2010 12:14:11 +0200
